import { defineComponent } from "vue";
import { actionProps } from "../types";
import { useRenderIcon } from "/@/components/ReIcon/src/hooks";

const ActionLog = defineComponent({
  name: "ActionLog",
  props: actionProps,
  emits: ["log"],
  setup(_, { emit }) {
    return () => (
      <el-button
        class="reset-margin"
        onClick={() => emit("log")}
        link
        type="primary"
        icon={useRenderIcon("tickets")}
      />
    );
  }
});

export default ActionLog;
